cluster_node Struct Reference

## Data Fields

int | node_id
nodestate_t | state
uint32_t | votes
uint32_t | expected_votes
uint32_t | flags
struct qb_list_head | list

## Detailed Description

Definition at line 184 of file exec/votequorum.c.

## Field Documentation

## expected_votes

uint32_t cluster_node::expected_votes

Definition at line 188 of file exec/votequorum.c.

## flags

uint32_t cluster_node::flags

Definition at line 189 of file exec/votequorum.c.

## list

struct qb_list_head cluster_node::list

Definition at line 189 of file exec/votequorum.c.

## node_id

int cluster_node::node_id

Definition at line 185 of file exec/votequorum.c.

## state

nodestate_t cluster_node::state

Definition at line 186 of file exec/votequorum.c.

## votes

uint32_t cluster_node::votes

Definition at line 187 of file exec/votequorum.c.

The documentation for this struct was generated from the following file:

- exec/votequorum.c